Summary: An input method platform based upon scim-lib and all-in-one configure GUI
Name: skim
Version: 1.2.2
Release: 2AX
Provides: skim
Copyright: GPL
URL: http://www.scim-im.org/
Group: User Interface/X
Requires:  scim >= 1.2.0
BuildRequires:  scim-devel >= 1.2.0
Requires: kdelibs
BuildRequires:  kdelibs
BuildRequires:  pkgconfig >= 0.12
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
skim is an input method platform based upon scim-lib under *NIX systems (including GNU/Linux and FreeBSD) optimized for KDE.
It provides a GUI panel (named scim-panel-kde), a KConfig config module and SetupUIs for itself and scim-lib. It also has its own plugin system which supports on-demand loadable actions.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure --disable-static
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install
make DESTDIR=${RPM_BUILD_ROOT} install-strip
# don't need skim
rm  $RPM_BUILD_ROOT/%{_datadir}/autostart/skim.desktop
rm  $RPM_BUILD_ROOT/%{_datadir}/applnk/Utilities/skim.desktop

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/ldconfig

%preun

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ChangeLog TODO
%{_bindir}/scim-panel-kde
%{_bindir}/skim
%{_libdir}/kde3/*skimplugin_*.la
%{_libdir}/kde3/*skimplugin_*.so
%{_libdir}/libscim*
%{_libdir}/libskim*
#%{_datadir}/applnk/Utilities/skim.desktop
%dir %{_datadir}/apps/skim
%{_datadir}/apps/skim/mainwindowui.rc
%{_datadir}/apps/skim/pics/*.png
#%{_datadir}/autostart/skim.desktop
%{_datadir}/config.kcfg/*.kcfg
%dir %{_datadir}/doc/HTML/de/skim
%{_datadir}/doc/HTML/de/skim/index.cache.bz2
%doc %{_datadir}/doc/HTML/de/skim/index.docbook
%{_datadir}/doc/HTML/de/skim/*.png
%dir %{_datadir}/doc/HTML/en/skim
%{_datadir}/doc/HTML/en/skim/index.cache.bz2
%doc %{_datadir}/doc/HTML/en/skim/index.docbook
%{_datadir}/doc/HTML/en/skim/*.png
%dir %{_datadir}/doc/HTML/skim
%{_datadir}/doc/HTML/skim/kdex.dtd
%{_datadir}/icons/crystalsvg/32x32/apps/skim.png
%{_datadir}/icons/crystalsvg/scalable/apps/skim.svgz
%{_datadir}/locale/*/LC_MESSAGES/skim.mo
%dir %{_datadir}/services/skimconfiguredialog
%{_datadir}/services/skimconfiguredialog/*skimplugin*.desktop
%{_datadir}/services/skimplugin*.desktop
%{_datadir}/servicetypes/skim*.desktop
%{_libdir}/scim-1.0/*/Config/kconfig.*
%{_includedir}/skim/*
%{_includedir}/skim/utils/*.h
%{_libdir}/pkgconfig/scim_kdeutils.pc
%{_libdir}/pkgconfig/skim.pc

%changelog
* Tue Apr 12 2005 Yasuma Takeda <yasuma@miraclelinux.com> 1.2.2-2AX
- replaced from makeinstall macros to make install 

* Thu Apr 06 2005 Yasuma Takeda <yasuma@miraclelinux.com> 1.2.2-1AX
- rebuild for Asianux2.0
- update to 1.2.2

* Sat Feb 5 2005 15:36 Ryo Dairiki <ryo-dairiki@users.sourceforge.jp> -
- Makeup the rpm for FC3.
* Sat Sep 25 2004 20:50 Jan Hefti <j.hefti@chinaboard.de> -
- bug fixes for Fedora Core 2
* Sat Aug 23 2004 03:43 LiuCougar <liuspider@users.sourceforge.net> -
- merged bug fix from Jan's spec file
* Sat Aug 22 2004 00:10 LiuCougar <liuspider@users.sourceforge.net> -
- cleanup.
* Sat Aug 21 2004 23:00 Jan Hefti <j.hefti@chinaboard.de> -
- Ensure empty directories will be removed.
* Sat Aug 21 2004 22:10 Jan Hefti <j.hefti@chinaboard.de> -
- testing only
* Sat Aug 21 2004 15:30 Jan Hefti <j.hefti@chinaboard.de> -
- Recompile using scim-libs 0.99.7.
* Sat Aug 21 2004 11:40 Jan Hefti <j.hefti@chinaboard.de> -
- Initial build.
